## imcode.server.document.textdocument
Class NullImageSource

    java.lang.Object
      imcode.server.document.textdocument.ImageSource
          imcode.server.document.textdocument.NullImageSource

All Implemented Interfaces:
  java.io.Serializable

    public class NullImageSource

extends ImageSource

See Also:
  Serialized Form

Field Summary

Fields inherited from class imcode.server.document.textdocument.ImageSource
`IMAGE_TYPE_ID__FILE_DOCUMENT, IMAGE_TYPE_ID__IMAGES_PATH_RELATIVE_PATH, IMAGE_TYPE_ID__NULL`

Constructor Summary
`NullImageSource()`

Method Summary
`InputStreamSource` `getInputStreamSource()`
`java.util.Date` `getModifiedDatetime()`
`int` `getTypeId()`
`java.lang.String` `getUrlPathRelativeToContextPath()`
`java.lang.String` `toStorageString()`

Methods inherited from class imcode.server.document.textdocument.ImageSource
`isEmpty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NullImageSource

    public NullImageSource()

Method Detail

### getInputStreamSource

    public InputStreamSource getInputStreamSource()

### getUrlPathRelativeToContextPath

    public java.lang.String getUrlPathRelativeToContextPath()

  Specified by:
    `getUrlPathRelativeToContextPath` in class `ImageSource`

### toStorageString

    public java.lang.String toStorageString()

  Specified by:
    `toStorageString` in class `ImageSource`

### getTypeId

    public int getTypeId()

  Specified by:
    `getTypeId` in class `ImageSource`

### getModifiedDatetime

    public java.util.Date getModifiedDatetime()

  Specified by:
    `getModifiedDatetime` in class `ImageSource`